libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
lapdm_entity Struct Reference
LAPDm implementation according to GSM TS 04.06

a LAPDm Entity More...

`#include <lapdm.h>`

## Data Fields
struct lapdm_datalink | datalink [_NR_DL_SAPI]
| the SAPIs of the LAPDm entity More...
int | last_tx_dequeue
| last entity that was dequeued More...
int | tx_pending
| currently a pending frame not confirmed by L1 More...
enum lapdm_mode | mode
| are we in BTS mode or MS mode More...
unsigned int | flags
void * | l1_ctx
| context for layer1 instance More...
void * | l3_ctx
| context for layer3 instance More...
osmo_prim_cb | l1_prim_cb
| callback for sending prims to L1 More...
lapdm_cb_t | l3_cb
| callback for sending stuff to L3 More...
struct lapdm_channel * | lapdm_ch
| pointer to lapdm_channel of which we're part More...
uint8_t | ta
uint8_t | tx_power

## Detailed Description

a LAPDm Entity

## Field Documentation

## ◆ datalink

struct lapdm_datalink lapdm_entity::datalink[_NR_DL_SAPI]

the SAPIs of the LAPDm entity

Referenced by lapdm_datalink_for_sapi(), lapdm_entity_exit(), lapdm_entity_init3(), lapdm_entity_reset(), lapdm_entity_set_flags(), lapdm_entity_set_mode(), lapdm_entity_set_t200_fn(), lapdm_t200_fn(), tx_dequeue_acch_msgb(), and tx_dequeue_dcch_msgb().

## ◆ flags

unsigned int lapdm_entity::flags

Referenced by l2_ph_data_conf(), lapdm_entity_set_flags(), lapdm_t200_fn(), tx_dequeue_msgb(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## ◆ l1_ctx

void* lapdm_entity::l1_ctx

context for layer1 instance

Referenced by l2_ph_data_conf(), lapdm_channel_set_l1(), rslms_rx_chan_rqd(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## ◆ l1_prim_cb

osmo_prim_cb lapdm_entity::l1_prim_cb

callback for sending prims to L1

Referenced by l2_ph_data_conf(), lapdm_channel_set_l1(), rslms_rx_chan_rqd(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## ◆ l3_cb

lapdm_cb_t lapdm_entity::l3_cb

callback for sending stuff to L3

Referenced by lapdm_channel_set_l3(), and rslms_sendmsg().

## ◆ l3_ctx

void* lapdm_entity::l3_ctx

context for layer3 instance

Referenced by lapdm_channel_set_l3(), and rslms_sendmsg().

## ◆ lapdm_ch

struct lapdm_channel* lapdm_entity::lapdm_ch

pointer to lapdm_channel of which we're part

Referenced by lapdm_channel_init3(), lapdm_phsap_dequeue_prim_fn(), and lapdm_rx_not_permitted().

## ◆ last_tx_dequeue

int lapdm_entity::last_tx_dequeue

last entity that was dequeued

Referenced by tx_dequeue_acch_msgb().

## ◆ mode

enum lapdm_mode lapdm_entity::mode

are we in BTS mode or MS mode

Referenced by l2_ph_data_ind(), lapdm_entity_set_mode(), lapdm_rx_not_permitted(), rslms_rx_rll(), and rslms_rx_rll_udata_req().

## ◆ ta

uint8_t lapdm_entity::ta

Referenced by lapdm_send_ph_data_req(), and rslms_rx_rll_udata_req().

## ◆ tx_pending

int lapdm_entity::tx_pending

currently a pending frame not confirmed by L1

Referenced by l2_ph_data_conf(), tx_ph_data_enqueue(), and tx_ph_data_enqueue_ui().

## ◆ tx_power

uint8_t lapdm_entity::tx_power

Referenced by lapdm_send_ph_data_req(), and rslms_rx_rll_udata_req().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapdm.h